Company logoTrust Center Documentation
API v1 ReferenceContactsIdSignatures

Send an NDA signature request

Send an NDA signature request to the contact. The server selects the active standard NDA and its published active version. If the response contains…

POST
/api/v1/contacts/{id}/signatures

Send an NDA signature request to the contact. The server selects the active standard NDA and its published active version. If the response contains overridable findings, use the returned next step.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Contact ID

Formatuuid

Request Body

application/json

For the initial request, supply only the document type. The server generates the request ID. Use the returned request ID only in a confirmed retry; it becomes the signature ID.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/contacts/550e8400-e29b-41d4-a716-446655440000/signatures" \  -H "Content-Type: application/json" \  -d '{    "document_type": "nda"  }'
{  "success": true,  "data": {    "signatureId": "660e8400-e29b-41d4-a716-446655440000",    "magicLinkId": "770e8400-e29b-41d4-a716-446655440000",    "expiresAt": "2026-08-23T00:00:00.000Z"  }}

How is this guide?